<div id="price">
    <h3 class="main-price">
       <!-- <span blc:price="*{salePrice}" th:if="*{onSale}" th:classappend="*{onSale}? 'price-new'"></span> -->
        <span blc:price="*{retailPrice}" &nbsp; th:classappend="*{onSale}? 'price-old small'"></span>
    </h3>
</div>